# Method: consents.delete

**Full name**: projects.locations.datasets.consentStores.consents.delete

Deletes the `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.consentStores.consents#Consent` and its revisions. To keep a record of the Consent but mark it inactive, see \[consents.revoke\]. To delete a revision of a Consent, see \[consents.deleteRevision\]. This operation does not delete the related Consent artifact.

### HTTP request

`DELETE https://healthcare.googleapis.com/v1/{name=projects/*/locations/*/datasets/*/consentStores/*/consents/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the Consent to delete, of the form `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/consentStores/{consentStoreId}/consents/{consent_id}`. An `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/Code#ENUM_VALUES.INVALID_ARGUMENT` error occurs if `revisionId` is specified in the name. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `healthcare.consents.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).